# Status Change Push
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/transaction-apis/status-change-api/index.md

The Status Change Push Notification is offered as an opt-in functionality to obtain a near real-time status update.   

* For Customers using the [Quote Confirmation Service](https://developer.mastercard.com/cross-border-services/documentation/api-ref/transaction-apis/quote-confirmation-apis/index.md), the status is obtained for both a Quote and Payment Transaction.   
* For Customers using Carded Rates, a status is obtained for the Transaction only.   
* For Customers foregoing use of a Rate Identifier prior to submitting a Payment, be it a Quote API Proposal ID or a Carded Rate ID, a status is obtained for the Payment only.

## Environment Domains {#environment-domains}

The Status Change Push Notification is notification and electronic webhook to provide status updates on Customers using this service when leveraging Payment API, Payment with Quotes/Confirmed Quotes and Quote Confirmations.

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

API Reference: `POST /send/partners/{partner_id}/crossborder/webhooks`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/ json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example - application/json

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Sandbox Testing {#sandbox-testing}

Not Applicable
Note:
* Contact your mastercard representative for mTLS push notification mastercard public certificate. This certificate needs to be trusted by the receiving application. Also, please share the server certificate chain for validation (via KMP portal), if it's accepted on Mastercard's infrastructure.
* Once done, data can be sent by Mastercard to the other party.
